# -*- coding: utf-8 -*-
import picamera
import picamera.array
import cv2
aruco = cv2.aruco
dictionary = aruco.getPredefinedDictionary(aruco.DICT_4X4_50)
with picamera.PiCamera() as camera:
  with picamera.array.PiRGBArray(camera) as stream:
    camera.resolution = (640, 480)
    while True:
      camera.capture(stream, 'bgr', use_video_port=True)
      corners, ids, rejectedImgPoints = aruco.detectMarkers(stream.array, dictionary)
      if len(corners) > 0:
        for number, corner in zip(ids, corners):  
          pts = corner[0].astype(int)
          cv2.polylines(stream.array, [pts], True, (0, 255, 0), 3)
      cv2.imshow('frame', stream.array)
      if cv2.waitKey(1) & 0xFF == ord('q'):
        break
      stream.seek(0)
      stream.truncate()
    cv2.destroyAllWindows()
